;;This file is part of ManPac.
;;
;;ManPac is free software: you can redistribute it and/or modify it under the terms
;;of the GNU General Public License (GPL) as published by the Free Software Foundation,
;;either version 3 of the License, or (at your option) any later version.
;;
;;ManPac is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
;;without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;;PURPOSE.See the GNU General Public License for more details.
;;
;;You should have received a copy of the GNU General Public License along with ManPac.
;;If not, see <https://www.gnu.org/licenses/>.


;;
;;	TILE MANAGER
;;

.module tile_manager

_tiles::
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xEE, #0x99, #0x22, #0x22, #0x66, #0x22, #0x22, #0x99, #0xEE, #0xEE, #0xEE, #0xEE, #0x99, #0x22, #0x22, #0x66, #0x22, #0x22, #0x99, #0xEE
	.db #0xEE, #0x33, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x33, #0xEE
	.db #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x66, #0x22, #0x22, #0x22, #0x22, #0x66, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE
	.db #0xEE, #0x66, #0x22, #0x22, #0x66, #0x22, #0x22, #0x66, #0xEE, #0xEE, #0xEE, #0xEE, #0x66, #0x22, #0x22, #0x66, #0x22, #0x22, #0x66, #0xEE
	.db #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE
	.db #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x99, #0x22, #0x66, #0x22, #0x22, #0x99, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE
	.db #0xEE, #0x99, #0x22, #0x22, #0x66, #0xEE, #0xEE, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0x66, #0x22, #0x22, #0x99, #0xEE
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x88, #0x00, #0x44, #0x00, #0x00, #0x88, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x00, #0xEE, #0xFF, #0xFF, #0xEE, #0x00, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xAA, #0xAA, #0x11, #0x11, #0x66, #0x00, #0x00, #0x44, #0xEE, #0xCC, #0xDD, #0xEE, #0x44, #0x00, #0x00, #0x66, #0x11, #0x11, #0xBB, #0xBB
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x44, #0x00, #0x00, #0x00, #0x00, #0x44, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE
	.db #0xEE, #0x99, #0x22, #0x22, #0x66, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0xEE, #0xEE, #0x00, #0xEE, #0xEE, #0x66, #0x22, #0x22, #0x99, #0xEE
	.db #0xEE, #0x22, #0xEE, #0xEE, #0x99, #0x66, #0x22, #0x66, #0x99, #0xEE, #0xEE, #0x99, #0x66, #0x22, #0x66, #0x99, #0xEE, #0xEE, #0x22, #0xEE
	.db #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0x22, #0xEE
	.db #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0x22, #0xEE
	.db #0xEE, #0x33, #0xEE, #0xEE, #0xEE, #0x66, #0x22, #0x22, #0x66, #0x00, #0x00, #0x66, #0x22, #0x22, #0x66, #0xEE, #0xEE, #0xEE, #0x33, #0xEE
	.db #0xEE, #0x99, #0x66, #0x22, #0x22, #0x99, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x99, #0x22, #0x22, #0x66, #0x99, #0xEE
	.db #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0x22, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0x22, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0x99, #0x22, #0x22, #0x22, #0x22, #0x22, #0x66, #0x22, #0x22, #0x66, #0x22, #0x22, #0x22, #0x22, #0x22, #0x99, #0xEE, #0xEE
	.db #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE, #0xEE

_n_cocos:: .db #160